using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models {
    [Table("area_commitment_attribute"), PrimaryKey("FbNr", "AttrId")]
    public class AreaComAttr {
        [Column("fbnr")]
        public int FbNr { get; set; }

        [Column("attrid")]
        public string AttrId { get; set; }

        [ForeignKey("FbNr")]
        public virtual AreaCom AreaCom { get; private set; }

        [ForeignKey("AttrId")]
        public virtual WineAttr WineAttr { get; private set; }
    }
}
